Bug 215442 - FC6 'eye-candy' and swing don't work together
FC6 'eye-candy' and swing don't work together
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 18:11 EST by Alex Smith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 17:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Smith 2006-11-13 18:11:12 EST
Description of problem:  Eye candy (the tool under user preferences) must be 
turned off for users who code Java applications using Swing.  I'm a student 
coding Java in Eclipse for Fedora v3.2.  When the swing application is run, the 
window is visible except the contents of the window are NOT visible and renders 
the application useless.  The close, minimize and maximize buttons are still 
functional but that's where the functionality ends.  I turned off the eye candy 
(thus disabling the desktop cube spin and window 'shake' effects) and swing 
worked perfectly fine! :D


Version-Release number of selected component (if applicable):  I upgraded my 
java compiler using jdk-1_5_0_09-linux-i586.bin and replaced the default 
compiler in Eclipse (1.4.2...).  I'm using Fedora Core 6.


How reproducible: Very!


Steps to Reproduce:
1. Write swing application in java
2. Test with eye candy off
3. Test with eye candy on
  
Actual results:


Expected results: Swing programs should work with new 'eye candy'


Additional info:
Comment 1 Thomas Fitzsimmons 2006-11-27 17:02:12 EST
We can't support Sun's Java on Fedora yet.  Closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.